---
updatedAt: 2026-03-31T09:57:32.000Z
agentTools:
  siteIndex: https://docs.jfrog.com/llms.txt
  projectIndex: https://docs.jfrog.com/administration/llms.txt
---

# Get the JPD IP Allowlist

Returns the list of IPs in the JPD allowlist.

An IP/CIDR allowlist provides access to selected IP addresses and programs that your 
network server policy could typically block.

**Note:** If your JFrog URL is myserver.jfrog.io, the serverName is myserver.

Security: Requires a valid token

## Limitations
- Maximum Allowlist Count: 4500 unique IP/CIDR values per subscription
- Private IPs (RFC 1918) cannot be added: 10.0.0.0/8, 172.16.0.0/12, 192.168.0.0/16


# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "JFrog Platform - MyJFrog Portal API",
    "description": "MyJFrog Portal REST APIs for managing JFrog Cloud platform resources.\n\nThe MyJFrog Portal REST APIs provide a set of interfaces for interacting with the MyJFrog Portal.\nThese APIs provide interfaces for managing cloud NAT IPs, regions, servers, IP allowlists, \ncustom domain names, and private link connections.\n\n**Authentication:**\n- Access Tokens as bearer token in authorization header (Authorization: Bearer <token>)\n\n**Note:** Only a Primary Admin can generate MyJFrog tokens. For more information, see Generate a Token in MyJFrog.\n\n**Subscription:** This feature is supported on the Cloud (SaaS) platform, with an Enterprise X or Enterprise+ license.\n",
    "version": "1.0.0",
    "contact": {
      "name": "JFrog Support"
    }
  },
  "servers": [
    {
      "url": "https://my.jfrog.com"
    }
  ],
  "tags": [
    {
      "name": "IP Allowlist",
      "description": "IP allowlist management APIs"
    }
  ],
  "security": [
    {
      "BearerAuth": []
    }
  ],
  "paths": {
    "/api/jmis/v1/allowlist/{serverName}": {
      "get": {
        "tags": [
          "IP Allowlist"
        ],
        "summary": "Get the JPD IP Allowlist",
        "description": "Returns the list of IPs in the JPD allowlist.\n\nAn IP/CIDR allowlist provides access to selected IP addresses and programs that your \nnetwork server policy could typically block.\n\n**Note:** If your JFrog URL is myserver.jfrog.io, the serverName is myserver.\n\nSecurity: Requires a valid token\n\n## Limitations\n- Maximum Allowlist Count: 4500 unique IP/CIDR values per subscription\n- Private IPs (RFC 1918) cannot be added: 10.0.0.0/8, 172.16.0.0/12, 192.168.0.0/16\n",
        "operationId": "getIpAllowlist",
        "parameters": [
          {
            "name": "serverName",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "The server name (e.g., if URL is myserver.jfrog.io, use \"myserver\")"
          }
        ],
        "responses": {
          "200": {
            "description": "Success",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/AllowlistGetResponse"
                },
                "example": {
                  "status": "COMPLETED",
                  "ips": [
                    {
                      "ip": "2.2.2.7/1"
                    },
                    {
                      "ip": "1.1.1.7/1"
                    }
                  ]
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized user"
          },
          "403": {
            "description": "User forbidden"
          },
          "500": {
            "description": "Internal Server Error"
          }
        }
      }
    }
  },
  "components": {
    "securitySchemes": {
      "BearerAuth": {
        "type": "http",
        "scheme": "bearer",
        "description": "Access Token as bearer token (Only a Primary Admin can generate MyJFrog tokens)"
      }
    },
    "schemas": {
      "AllowlistGetResponse": {
        "type": "object",
        "properties": {
          "status": {
            "type": "string",
            "description": "Status of the request",
            "example": "COMPLETED"
          },
          "ips": {
            "type": "array",
            "items": {
              "type": "object",
              "properties": {
                "ip": {
                  "type": "string",
                  "description": "IP address or CIDR block"
                }
              }
            }
          }
        }
      }
    }
  },
  "x-readme": {
    "explorer-enabled": false
  }
}
```